#!/usr/bin/env node
"use strict";

var _getArgs = require("./getArgs");
var cwd = process.cwd();
var shell = require('shelljs');
var spawn = require("cross-spawn");
var _require = require('child_process'),
  exec = _require.exec;
var webpackConfigPath = "".concat(__dirname, "/webpack.config.js");
var startArgs = _getArgs.start ? "serve" : "";
var buildArgs = _getArgs.build ? "build" : "";
var prefixArgs = _getArgs.prefix;
var sh;
if (_getArgs.start) {
  shell.exec("node ".concat(__dirname, "/scripts/start.js"), {
    async: true,
    stdio: "inherit",
    stderr: "inherit"
  });
}
if (_getArgs.plugin) {
  sh = spawn("node", [__dirname + "/scripts/start.js"], {
    stdio: "inherit",
    stderr: "inherit"
  });
}
// sh.on("exit", function(code, signal){
//   if(code != 0 && buildArgs){
//     throw new Error(code)
//   }
// })